TransactionAll Transactions

All Transaction

This endpoint allows you to view all the transactions.

How to View All Transactions

Here is a sample code for viewing all your transactions:

Endpoint https://api.chapa.co/v1/transactions

Method GET

  • Authorization : Pass your secret key as a bearer token in the request header to authorize this call.

Query parameters (filters)

You can filter the list of transactions using the following query parameters:

ParameterTypeRequiredDescription
from_datestringnoStart of the date/time range (UTC). See Date and time filters below.
to_datestringnoEnd of the date/time range (UTC). Must be after or equal to from_date when both are provided. See Date and time filters below.
currencystringnoFilter by currency (e.g. ETB, USD).
statusstringnoFilter by transaction status (e.g. success, pending, failed).

Examples:

  • Date only (full day): GET https://api.chapa.co/v1/transactions?from_date=2025-03-01&to_date=2025-03-10
  • Date and time (format YYYY-MM-DDTHH:mm:ss in UTC): GET https://api.chapa.co/v1/transactions?from_date=2025-03-01T13:50:01&to_date=2025-03-10T17:45:00
  • With other filters: GET https://api.chapa.co/v1/transactions?from_date=2025-01-01&to_date=2025-01-31&currency=ETB&status=success
1import requests
2
3url = "https://api.chapa.co/v1/transactions"
4
5payload = {}
6headers = {
7 'Authorization': 'Bearer CHASECK_TEST-xxxxxxxxxxxxxxxx'
8}
9
10response = requests.request("GET", url, headers=headers, data=payload)
11
12print(response.text)
13
14